Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Connection

All Superinterfaces:
  DiagramElement, EObject, Identity, Notifier

All Known Implementing Classes:
  ConnectionImpl

public interface Connection
extends DiagramElement

A representation of the model object 'Connection'.

The following features are supported:

- `Connection Figure`

See Also:
  `GMFGraphPackage.getConnection()`
** Generated **
Model:

Method Summary
`Figure` `getConnectionFigure()` Returns the value of the 'Connection Figure' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`find, getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConnectionFigure

    public Figure getConnectionFigure()

  Returns the value of the 'Connection Figure' reference. Specializes DiagramElement.figure

  Returns:
    the value of the 'Connection Figure' reference.
  See Also:
    `GMFGraphPackage.getConnection_ConnectionFigure()`
  ** Generated **
  Model:
    resolveProxies="false" required="true" transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.